Package twisted :: Package internet :: Module utils

[show private | hide private]
[frames | no frames]

## Module twisted.internet.utils

Utility methods.

Classes
`SRVConnector` | A connector that looks up DNS SRV records.

Function Summary
| ``getProcessOutput`(executable, args, env, path, reactor)` Spawn a process and return its output as a deferred returning a string.
| ``getProcessValue`(executable, args, env, path, reactor)` Spawn a process and return its exit code as a Deferred.

Variable Summary
`SelectReactor` | `reactor`

Function Details

### getProcessOutput(executable, args=(), env={}, path='.', reactor=<twisted.internet.default.SelectReactor instance&...)

Spawn a process and return its output as a deferred returning a string.

  Parameters:
    `executable` - The file name to run and get the output of - the full path should be used.
    `args` - the command line arguments to pass to the process; a sequence of strings. The first string should be the executable's name.
    `env` - the environment variables to pass to the processs; a dictionary of strings.
    `path` - the path to run the subprocess in - defaults to the current directory.
    `reactor` - the reactor to use - defaults to the default reactor

### getProcessValue(executable, args=(), env={}, path='.', reactor=<twisted.internet.default.SelectReactor instance&...)

Spawn a process and return its exit code as a Deferred.

Variable Details

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

Generated by Epydoc 1.1 on Sat Feb 15 21:17:53 2003 | http://epydoc.sf.net